<?php
	
	require_once("config/pageConfig.php");
	require_once("global_functions.php");
	check_login('', '', 'ENABLERKEY_ADMIN_GUTSCHEINE');	
	
	$headFunctionBar="<div class='adminReportDateDivGs' >							
							<p>Von: </p><input id='gsDateStartField' type='text' class='datepicker adminPmeInputMed_2'  name='filter_date_from' size='' />
								<button class='dateIpClearButFinanceExp' onclick=\"cclearFieldVal('gsDateStartField')\"><img class='adminReportDelBut' src='images/kp-delete.png' /></button>
							<p>Bis: </p><input id='gsDateEndField' type='text' class='datepicker adminPmeInputMed_2' name='filter_date_to'  size='' />
							<button class='dateIpClearButFinanceExp' onclick=\"cclearFieldVal('gsDateEndField')\"><img class='adminReportDelBut' src='images/kp-delete.png' /></button>
						</div>
						
						<div class='adminGutscheinIpDiv'>
							
							
							<label for='adminGutscheinNoIp'>Gs Nr:</label><input id='adminGutscheinNoIp' type='text' value='' />
							<button class='dateIpClearBut' onclick=\"cclearFieldVal('adminGutscheinNoIp')\"><img class='adminReportDelBut' src='images/kp-delete.png' /></button>
						
						</div><div class='cclear'></div>
						<button class='button orange gutscheinBearbeitenBut' onclick='getGutscheinContent()'>Filter aufrufen</button>
						<button class='button orange gutscheinBearbeitenBut' onclick='displayAnlegenModal()'>Gutschein anlegen</button>
						";
						
	$gutscheinContent="";
	
	$menH=14;
	 preg_match('/\d+px/', SCHRIFT_DEFAULT, $match);
	if($match[0]== true){
		$fontS=preg_replace('/\D+/', '', $match[0]);
		if($fontS > 16 && $fontS <= 20){	$menH=16;	}
		else if($fontS > 20 && $fontS <= 24){	$menH=20;	}				
	}
	 $contH=93-$menH;
	 
	 $taxSel="";
	 $taxQl=mysql_query("SELECT NAME, RATE FROM taxes ");
	 while($taxRow=mysql_fetch_array($taxQl)){
		if($taxRow['RATE'] == GUTSCHEIN_STANDARD_STEUERSATZ)$sSel='selected';
		else $sSel="";
		$taxSel.="<option class='gsTaxOption' value='".$taxRow['RATE']."' ".$sSel." >".$taxRow['NAME']."</option>";
	 }
?>



<!DOCTYPE HTML>
<html>
	<head>
		<title>SITPOS Gutscheine</title>
		<?php 	echo META_DATA_ADMIN;  ?>
		<script src="jquery/datepicker-de.js"></script>
		<link rel="stylesheet" type="text/css" href="jquery/jquery-ui.css" >
		<style type="text/css">
			<?php include 'include/main.css'; ?>
			<?php include 'include/menue.css'; 
				echo "#menu {height:".$menH."%; }";
				echo "#adminReportContent {height:".$contH."%; }";
				echo ".menuDivLeft{ border:none;	} ";
				echo "#adminOperatorDiv {  height:".$menH."%; }";
				
			?>
			
			.menuDivLeft{ border:none;	} 
			.adminGutscheinIpDiv {	position:relative; float:right; width:35%; margin:3px 5% 0 0; overflow:auto; height:auto;		}
			.adminGutscheinIpDiv label	{  position:relative; float:left; font-size:.9em; font-weight:bold;  padding:3px 0 0 0; margin:3px 4px 0 11px;}
			.adminReportDateDivGs { position:relative; float:right; width:55%; margin:3px 0 0 0; overflow:auto; 
					height:auto; padding:2px 3px;	}
			.adminReportDateDivGs p {  position:relative; float:left; width:auto; min-width:35px; font-size:.8em; 
				font-weight:bold; text-align:right;  padding:3px 0 0 0; margin:3px 4px 0 3px;					}
			.adminReportDateDivGs input[type='text'] {	 position:relative; float:left; width:25%;
				text-align:center;					}
				
			#adminGutscheinNoIp { position:relative; float:left; margin:3px 0 0 5px; width:50%;	text-align:center;		}
			.gutscheinBearbeitenBut { width:25%; margin:10px 0 0 15%;			}
			#gsDeleteContentDiv { position:relative; width:94%; margin:7px auto;		}
			.gsDeleteContentRadio { margin-right: 7px; }
			#gutscheinKarteKommentar { width:55% !important; text-align:left !important; padding-left:1%;}
			

		</style>
		
		<script>
			gutscheinStandardTaxrate="<?php echo GUTSCHEIN_STANDARD_STEUERSATZ; ?>";
			
			function getGutscheinContent(gsFunction=false, passedGutscheinId=false, passedGutschNr=false, deleteOption=false ){
				var startDate=$("#gsDateStartField").val();
				var endDate=$("#gsDateEndField").val();
				if(passedGutschNr == false)var gutschNr =$("#adminGutscheinNoIp").val();
				else gutschNr=passedGutschNr;
				target="screen";
				$.ajax({
				type: "POST",
				url: "ajax_funktionen_kp.php",
				dataType : "html",
				data: { functionKey:'gutscheineAdmin', gsFunction:gsFunction, startDate:startDate, endDate:endDate, reportTarget:target, gutschNr:gutschNr, gutscheinId:passedGutscheinId, deleteOption:deleteOption   },
				async: true,
					success:function(ajaxResponse){				
						$("#adminReportContent").html(ajaxResponse);

					}
				});
	
			}
			
			function displayGsInfo(gsId, gsBookingId){
				$("#gutscheinBearbeitenModal").css({ "display":"block"			});
				$.ajax({
				type: "POST",
				url: "ajax_funktionen_kp.php",
				dataType : "html",
				data: { functionKey:'getGutscheineDetail', gutschId:gsId, gsBookingId:gsBookingId   },
				async: true,
					success:function(ajaxResponse){	
						if(checkJson(ajaxResponse) == true) {
							respArray=JSON.parse(ajaxResponse);
							$("#gutschBearbModalLeft").html(respArray[0]);
							$("#gutschBearbModalRight").html(respArray[1]);
						}
						else console.log(ajaxResponse);
					
					}
				});
			}
			
			function displayAnlegenModal(gutscheinNr=false){		
				$("#gutscheinBearbeitenAnlegenModal").css({ "display":"block"			});
				$("#gutscheinKarteModalIp").prop('disabled', false).focus();
				$("#gutschModalFocusIndicator").val('gutscheinKarteModalIp');
				
				if(gutscheinNr != false){
					$("#gutscheinKarteModalIp").val(gutscheinNr);
					var e = jQuery.Event("keypress");
						e.which = 13;
						e.keyCode = 13;
						$("#gutscheinKarteModalIp").trigger(e);
				}
			}
			
			$(document).ready(function() {
				$("#gutscheinKarteModalIp").on("keypress", function(e) {
					if(e.which == 13){	
						getGutscheincardDataAufladen($(this).val());					
					}
				});
				
				
				gutscheinPrefix="<?php echo GS_PREFIX; ?>";
			});	
			
			function gsKarteDelete(gsId=false, gutschNo=false, restVal=false){
				if(gsId==false && gsNr==false && gsGuthaben == false ){
					restVal=$("#gutscheinKarteValueExist").val();
					restVal=restVal.replace(",", "."); 
					gutschNo=$("#gutscheinKarteModalIp").val();
				}

				if((restVal*1) > 0){
					displRestVal=restVal*1;
					//displRestVal=displRestVal.replace(".", ",");
					delContent="<div id='gsDeleteContentDiv'><p>Auf dem Gutschein "+gutschNo+" befindet sich ein Guthaben von € "+displRestVal+", definieren Sie wie dieser Wert verbucht wird.</p><p><input type='radio' name='gsDelRadio' value='gutschDelKassaausgang' class='gsDeleteContentRadio' /><label for'gutschDelRadioKassaausgang' >Rückerstattung Bar</label></p><p><input type='radio' name='gsDelRadio'  value='gutschDelIgnor' class='gsDeleteContentRadio' /><label for'gutschDelRadioIgnor' >Restguthaben Ignorieren</label></p><p id='gsDelDialogMsg'></p></div>";
					restValIndicator='gsRestValue';

				}
				else{
					restValIndicator='gsRestValueNull';
					delContent="<div id='gsDeleteContentDiv'><p>Löschen von Gutschein "+gutschNo+" bestätigen.</p></div>";
					
				}
				
				openGutscheinDialog(restValIndicator, 'Gutschein Löschen', delContent, 'wrapper_admin', gutschNo);
			
			}
			
			function gsKarteDeleteDbSchreiben(gutschNo, restBetragOption){
				$("#gutscheinModalResponseTxt").html("Gutschein nr. "+gutschNo+" wird gelöscht.");
				
				
				//loadKundenKarte('karteDelete', restBetragOption);
					// das war als vom karten modal gelöscht wurde
			
			}
			
			function openGutscheinDialog(callFrom=false, boxTitle, dialogContent=false, wrappEr=false, gutscheinNo) {
				if(wrappEr == false){ wrappEr='wrapper_admin';   }
				wrapHeight=$("#"+wrappEr).height();	
				dialogCssClass='generalDialogBox';
				buttonTxtLeft="Bestätigen";
				buttonTxtRight="Abbrechen";
				mminHeight=150;
				wwidth=600;
				pPosition="center";
				atPosition="center";
				hideButLeft=false;
				
				$("#gutscheinDialog").html(dialogContent);
				$("#gutscheinDialog").dialog({
					resizable: false,
					open: function(event, ui) {  $(".ui-dialog-titlebar-close", ui.dialog | ui).hide();  	},
					beforeClose: function( event, ui ) { $("body").css({ "overflow":"visible"		});  },
					modal: true,
					
					title: boxTitle,
					height: 'auto',
					minHeight: mminHeight,
					maxHeight: wrapHeight,
					width: wwidth,
					
					position: { my: pPosition,  at: atPosition, of: "#"+wrappEr },
					dialogClass: dialogCssClass,
					
					buttons: {
						"1": { id: 'dialogButL', text: buttonTxtLeft, click: function(){ 
								
								if(callFrom == 'gsRestValueNull'){
									restBetragOption='gutschDelRestValNull';
								}
								else if(callFrom=='gsRestValue'){
									var delOption=$('input[name=gsDelRadio]:checked', '#gsDeleteContentDiv').val();
									if(delOption == 'gutschDelIgnor' || delOption == 'gutschDelKassaausgang')restBetragOption=delOption;
									else restBetragOption=false;
									if(restBetragOption==false){
										$("#gsDelDialogMsg").html('Es wurde keine Option gewählt.');
										return false;
									}
								}
								console.log(gutscheinNo+" - "+restBetragOption);
								getGutscheinContent('gsDelete', '', gutscheinNo, restBetragOption );
								
								//gsKarteDeleteDbSchreiben(gutscheinNo, restBetragOption);								
								$(this).dialog("close"); }, "class":"button button_gross dialog_orange" },
								
						"2": { id: 'dialogButR', text: buttonTxtRight, click: function(){ 
							$("#gsDelDialogMsg").html('');
							$(this).dialog("close"); }, "class":"button button_gross dialog_orange" },
					
					}
				
				});
			
			}
			
			function gsAdminFunction(fFunktion, currId){
				alert(fFunktion+" / "+currId);
			
			}
			

		</script>
	
	</head>
	<body onload='getGutscheinContent()'>

		<div id="wrapper_admin" class="wrapper_admin">
		<div id="gutscheinDialog"  ></div>  
			<div id="adminOperatorDiv" class="schrift" ><?php  echo  $headFunctionBar; ?></div>
			<?php 	menue_anzeigen();?>
			
			<div id="gutscheinBearbeitenModal" class="gutschein_bearbeiten_modal">
				<div class='modal-content'>
					 <span class="closeModal" id="closePaymentModal" onclick="closeGutscheinModal('adminBearbeiten')" >×</span>
					<div class="modal-body">
					<div id="gutschBearbModalLeft">
					</div>
					<div id="gutschBearbModalRight">
					</div>
					<div class="cclear"></div>
					</div>
				</div>

			
			</div>
				<div id="gutscheinBearbeitenAnlegenModal" class="gutschein_bearbeiten_modal">
					<div class='modal-content'>
					 <span class="closeModal" id="closePaymentModal" onclick="closeGutscheinModal('adminAnlegenBearbeiten')" >×</span>
						<div class="modal-body">
						<div id='searchResultGutscheinDiv'></div>
						<div id="gutschBearbAnlegenModalLeft">
							<div class="gutscheinModalTxtLeft" >Kunden Karte Nr. eingeben: </div>
							<input type="text" id="gutscheinKarteModalIp" onclick="setActiveGutschModalField(this.id)" />	
							<br />
							<button class="button_none_float orange" id="cardNoCreateBut" style="width:36%; margin-right:4%;" onclick="gsCardNoCreate()" >Karten Nr. erstellen</button>
							<div class="cclear"></div>
							<div class="gutscheinModalTxtLeft" >Betrag vorhanden: </div><input disabled type="text" id="gutscheinKarteValueExist" />
							<div class="cclear"></div>
							<div class="gutscheinModalTxtLeft" >Betrag aufladen: </div>
								<input onkeyup="formatNumberKp(this)" onclick="setActiveGutschModalField(this.id)" type="text" id="gutscheinKarteValueToLoad" />
							<div class="cclear"></div>
							<div class="gutscheinModalTxtLeft2" >Kommentar: </div><input type="text" id="gutscheinKarteKommentar" />
							<div class="cclear"></div>
							<div class="gutscheinModalTxtLeft" >Verkaufsart: </div>
								<select id="gsVerkaufsArt" >
									<option class='' name='gsVerkauf' selected >Gutschein Verkauf</option>
									<option class='' name='gsKostenlos' >Gutschein Spende/kostenlos</option>
								</select>
								
							<div class="cclear"></div>
							<div class='gutscheinModalTxtLineSpacer'></div>
							<div class="gutscheinModalTxtLeft" >Zahlungsart: </div>
								<select id="gsZahlungsArt" >
								<?php
									
									$zZahlungsart=mysql_query("SELECT id, Name, standard, preiseingabe FROM zahlungsart WHERE sichtbar=1 ORDER by reihenfolge ASC");
									
									while ($gsZahlungsart=mysql_fetch_array($zZahlungsart)){
										$sSelected='';
										if($gsZahlungsart['standard'] == 1) $sSelected='selected';
										echo "<option id='".$gsZahlungsart['Name']."' class='' name='gsVerkauf' ".$sSelected."  >".$gsZahlungsart['Name']."</option>";
									}
								?>
							</select>				
								
							<div class="cclear"></div>
							
							<div class='gutscheinModalTxtLineSpacer'></div>
							<div class="gutscheinModalTxtLeft" >Steuersatz: </div>
								<select id='gsTaxSelectElem' class='gsTaxSelect' >
									<?php echo $taxSel; ?>
								</select>
							<div class="cclear"></div>							
							<div class="gutscheinModalTxtLeft" >Kunde: </div>
							<div class="cclear"></div>
							<p id="selectedCustGutschModal" ></p><input style="width:3%;" type="text" hidden id="gutscheinKarteCustId" />
							<div class="cclear"></div>
							<div class="gutscheinModalTxtLeft" >Kunden auswählen:</div>
							<div class="cclear"></div>
							<input type='text' class='floatL' id='kundenSearchGutscheinModalField' 
															onkeyup='searchCustomer(this.value, "gutscheinAdminModal")' placeholder='Suchbegriff' />
							<div class="cclear"></div>
						</div>
						<div id="gutschBearbAnlegenModalRight">
							<?php ziffernblock_anzeigen("ziffer_gedrueckt_gutscheinmodal(this.value)", "gutscheinModal"); 				?>
							<input type="text" id="gutschModalFocusIndicator" hidden value="" />
						</div>
						<div id="gutschBearbAnlegenModalRightBottom">
							<p id="gutscheinModalResponseTxt"></p>
						</div>
						<div class="cclear"></div>
						<div class="gutscheinModalDivBottom">
					<button class="button_none_float gutscheinModalBut orange displayNone"  id='gsKarteAufladenBut' 
										onclick="loadKundenKarte('bestehendeAufladen', '')" >Gs aufladen</button>
					<button class="button_none_float gutscheinModalBut orange displayNone" id='gsKarteAnlegenBut' 
										onclick="loadKundenKarte('karteAnlegen', '')" >Gs anlegen</button>
					<button class="button_none_float gutscheinModalBut orange displayNone" id='gsKartePrintBut' 
										onclick="loadKundenKarte('kartePrint', '')" >Gs drucken</button>
					<button class="button_none_float gutscheinModalBut orange displayNone" id='gsKarteSperrenBut' 
										onclick="loadKundenKarte('karteSperren', '')" >Gs sperren</button>
					<button class="button_none_float gutscheinModalBut orange displayNone" style="width:auto; padding-left:1%; padding-right:1%;" id='gsKarteEntsperrenBut' 
										onclick="loadKundenKarte('karteEntsperren', '')" >Gs Sperre aufheben</button>					
					<button class='button_none_float gutscheinModalBut orange displayNone' id='gsKarteClearCustfieldBut' 
										onclick="clearSelectedCustomer('gutscheinModal', 'deleteCustOnCard')" >Kunde entfernen</button>
					<button class='button_none_float gutscheinModalBut orange displayNone' id='gsSaveTotalBut' 
										onclick="loadKundenKarte('dataSaveUpdate', '')" >Speichern</button>
					<!--<button class="button_none_float gutscheinModalBut orange displayNone" style="width:auto; padding-left:1%; padding-right:1%;" id='gsKarteDeleteBut' 
										onclick="gsKarteDelete()" >Karte löschen</button>-->
					<button class="button_none_float gutscheinModalBut orange displayNone" style="width:auto; padding-left:1%; padding-right:1%;" id='gsBearbeitenModalClearBut' 
										onclick="cClearGsBearbeitenModalFields()" >Reset Eingabe</button>
										
				<div class="cclear"></div>
				</div>
						</div>
					</div>
				</div>
			<div id="adminReportContent">
				<?php echo $gutscheinContent;  ?>
			</div>


















			
			
		</div>
	</body>
</html>